<?php

/*
   This progam reads the "drive" table of the "donor" database and returns the "drivrno" and
   the "drivename" in a formatted html string to the AjAX Response object.
   The html string is a series <option> tags of the form:
  
            <option value = 'ALL' selected>All Drives       </option>
            <option value = "driveno">drivename</option>
            <option value = "driveno">drivename</option>
  
                 etc. one <option> for each drive
  
            <option value = "driveno">drivename</option>
*/

     error_reporting(E_ERROR);        // The error_reporting(E_ERROR) function sets the 
                                      // error_reporting directive of the PHP runtime to pass
                                      // the details of fatal errors to the program.

     try
     {
         mysqli_select_db($connection, "donor");

         $sqlQuery = "SELECT * FROM drive";
         $result = mysqli_query($connection, $sqlQuery);

 	 $return_data = "<option value = 'NONE' selected>No drive is selected. Select a drive.</option>";

         while($row = mysqli_fetch_array($result, MYSQLI_NUM))
         {
	     $return_data = $return_data . '<option value = "' . $row[0] . '">' . $row[1] . '</option>';
         } 
         $return_data = $return_data . "<option value = 'ALL'>All Drives</option>";

         mysqli_free_result($result);          // free up the memory associated with the $result object
         mysqli_close($connection); 
    }
     catch(Exception $e)
     {
         echo $e->getMessage();          // if a fatal error has occurred, return the error message
                                         // to the AJAX Response object
     }

     echo $return_data;          // return the html string to the AJAX Response object
 ?>
